Summary: Gltron, a 3d lightcycle game using OpenGL
Name: gltron
Version: 0.61
Release: alt1
License: GPL
Group: Games/Arcade

Url: http://www.gltron.org/

Source: gltron-%version-source.tar.bz2
Source1: gltron-xpm.tar.bz2

Patch: gltron-0.61-dirs.patch.bz2
Patch2: gltron-0.61-change-default-alphatrails.patch.bz2

BuildPreReq: libSDL-devel >= 1.1

# Automatically added by buildreq on Mon Sep 30 2002
BuildRequires: XFree86-devel XFree86-libs aalib esound libSDL-devel libSDL_mixer-devel libSDL_net-devel libalsa2 libarts libaudiofile libdirectfb libogg libpng-devel libslang libsmpeg libvorbis zlib-devel

%description
A very nice Tron game using OpenGL.

%prep
%setup -q -a 1
%patch
%patch2 -p0

rm -f sounds/game_crash.wav sounds/game_engine.wav
mv -f sounds/*wav data/

%define _optlevel 3
%add_optflags %optflags_kernel %optflags_notraceback %optflags_fastmath

%build
%configure
%make CFLAGS="$RPM_OPT_FLAGS -c -DSOUND -DDATA_DIR=\\\"%_datadir/gltron/data\\\" -I%_includedir/SDL"

%install
#manual installation
mkdir -p %buildroot/%_bindir
cp gltron %buildroot/%_bindir
mkdir -p %buildroot/%_datadir/gltron/
cp -r data art $RPM_BUILD_ROOT%_datadir/gltron/

install -D -pm644 gltron-16.png $RPM_BUILD_ROOT%_miconsdir/gltron.png
install -D -pm644 gltron-32.png $RPM_BUILD_ROOT%_iconsdir/gltron.png
install -D -pm644 gltron-48.png $RPM_BUILD_ROOT%_liconsdir/gltron.png

mkdir -p $RPM_BUILD_ROOT%_menudir
cat <<EOF >$RPM_BUILD_ROOT%_menudir/gltron
?package(%name):command="%_bindir/gltron" \
		  icon="gltron.png" \
		  needs="x11" \
		  section="Amusement/Arcade" \
		  title="Gltron" \
		  longtitle="3d lightcycle game"
EOF

%post
%update_menus

%postun
%clean_menus

%files
%doc LICENSE README README.html TODO INSTALL
%_bindir/%name
%_datadir/%name
%_miconsdir/*.png
%_iconsdir/*.png
%_liconsdir/*.png
%_menudir/%name

%changelog
* Mon Sep 30 2002 Stanislav Ievlev <inger@altlinux.ru> 0.61-alt1
- 0.61

* Thu Oct 11 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.59-ipl12mdk
- Rebuilt with libpng.so.3

* Fri Aug 17 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.59-ipl11mdk
- Rebuild with new SDL
- Fixed optflags
- Some spec cleanup

* Fri Apr  6 2001 Kostya Timoshenko <kt@altlinux.ru> 0.59-ipl10mdk
- Rebuild with SDL-1.2.0

* Wed Mar 14 2001 Kostya Timoshenko <kt@petr.kz> 0.59-ipl9mdk
- fix BuildPreReq

* Wed Dec 27 2000 Kostya Timoshenko <kt@petr.kz> 0.59-ipl8mdk
- Build for RE

* Sun Dec 17 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 0.59-8mdk
- updated BuildRequires

* Tue Nov 14 2000 Franois Pons <fpons@mandrakesoft.com> 0.59-7mdk
- updated icons transparancy.

* Fri Sep 15 2000 David BAUDENS <baudens@mandrakesoft.com> 0.59-6mdk
- Fix Title in Menu entry

* Thu Sep  7 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.59-5mdk
- use alpha trails by default, to workaround a display bug with some
  3d hardware
- use our compiling flags

* Sun Sep 03 2000 Franois Pons <fpons@mandrakesoft.com> 0.59-4mdk
- using right macros for games.
- added missing icons.

* Tue Aug 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.59-3mdk
- added a patch to change default cam type (follows motorcycle)

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.59-2mdk
- automatically added BuildRequires

* Mon Jul 31 2000 Franois Pons <fpons@mandrakesoft.com> 0.59-1mdk
- added menu entry.
- created patch to allow starting even if no sound available.
- initial release.

